Public Member Functions | Protected Member Functions | List of all members
clan::DisposableObject Class Referenceabstract

DisposableObject. More...

`#include <disposable_object.h>`

Inheritance diagram for clan::DisposableObject:

## Public Member Functions
| DisposableObject ()
void | dispose ()
bool | is_disposed () const
void | throw_if_disposed () const

## Protected Member Functions
virtual void | on_dispose ()=0

## Detailed Description

DisposableObject.

## Constructor & Destructor Documentation

clan::DisposableObject::DisposableObject | ( |  | ) |

## Member Function Documentation

void clan::DisposableObject::dispose | ( |  | ) |

bool clan::DisposableObject::is_disposed | ( |  | ) | const

virtual void clan::DisposableObject::on_dispose | ( |  | ) |
| protected pure virtual

void clan::DisposableObject::throw_if_disposed | ( |  | ) | const

The documentation for this class was generated from the following file:

- disposable_object.h